net.sf.okapi.lib.xliff2.walker.strategy

## Class PipelineXliffWalkerStrategy

- java.lang.Object
- - net.sf.okapi.lib.xliff2.walker.strategy.PipelineXliffWalkerStrategy

- All Implemented Interfaces:
    IXliffWalkerStrategy

      public class PipelineXliffWalkerStrategy
      extends java.lang.Object
      implements IXliffWalkerStrategy

  Xliff walker strategy with ordered pipeline of visitors. Visitors will be applied in the order they were added to the Xliff walker. It may be useful when next visitor execution depends on the results of execution of the previous visitor, i.e. unit visitor execution may depend on changes done by segment visitor.
  Author:
    Vladyslav Mykhalets

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PipelineXliffWalkerStrategy()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `doWalk(XLIFFDocument doc, XliffWalker walker)`
    `static void` | `doWalkFileNodes(XLIFFDocument doc, XliffWalker.VisitPlaceAwareXliffVisitor<FileNode> visitor)`
    `static void` | `doWalkSegments(XLIFFDocument doc, XliffWalker.VisitPlaceAwareXliffVisitor<Segment> visitor)`
    `static void` | `doWalkUnitNodes(XLIFFDocument doc, XliffWalker.VisitPlaceAwareXliffVisitor<UnitNode> visitor)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PipelineXliffWalkerStrategy

          public PipelineXliffWalkerStrategy()

  - ### Method Detail

    - #### doWalk

          public void doWalk(XLIFFDocument doc,
                    XliffWalker walker)

      Specified by:
        `doWalk` in interface `IXliffWalkerStrategy`

    - #### doWalkFileNodes

          public static void doWalkFileNodes(XLIFFDocument doc,
                             XliffWalker.VisitPlaceAwareXliffVisitor<FileNode> visitor)

    - #### doWalkUnitNodes

          public static void doWalkUnitNodes(XLIFFDocument doc,
                             XliffWalker.VisitPlaceAwareXliffVisitor<UnitNode> visitor)

    - #### doWalkSegments

          public static void doWalkSegments(XLIFFDocument doc,
                            XliffWalker.VisitPlaceAwareXliffVisitor<Segment> visitor)